@import "@/styles/variables";

.skip-link {
    clip-path: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;

    &:focus-visible {
        clip-path: auto;
        height: auto;
        overflow: auto;
        position: absolute;
        width: auto;
        background-color: rgba($white, 90%);
        min-width: 100%;
        text-align: center;
        padding: 0.5rem 1rem;
        z-index: 500;

        @include button-2;
    }
}
